Name:           scilab
Version:        4.1.1
Release:        1%{?dist}
Summary:        The Scientific Computing Platform

Group:          Applications/Engineering
License:        Scilab (c)INRIA-ENPC
URL:            http://www.scilab.org
Source0:        http://www.scilab.org/download/%{version}/scilab-%{version}-src.tar.gz
Patch0:         scilab-4.1.1-sys_inc.patch
Patch1:         scilab-4.1.1-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils

BuildRequires:  atlas-devel
BuildRequires:  compat-gcc-34
BuildRequires:  compat-gcc-34-g77
BuildRequires:  compat-libf2c-34
#BuildRequires:  gcc-gfortran
BuildRequires:  gtkhtml2-devel
BuildRequires:  imake
BuildRequires:	libgcj-devel
BuildRequires:  libXaw-devel
BuildRequires:  ncurses-devel
BuildRequires:  ocaml
BuildRequires:  pvm
BuildRequires:  tcl-devel >= 8.4
BuildRequires:  tk-devel >= 8.4
BuildRequires:  vte-devel
BuildRequires:  Xaw3d-devel

BuildRequires:  libXt-devel
BuildRequires:  xorg-x11-proto-devel

      
%description
The Scientific Computing platform

%description[fr]
La plateforme de calcul scientifique 


%prep
%setup -q
%patch0 -p1 -b .sys_inc
#patch1 -p1 -b .destdir


%build
export JAVA_HOME=%{_prefix}/lib/jvm/java
export _JTOPDIR=%{_prefix}/lib/jvm/java/
export JAVA_INCL=$JAVA_HOME/include
export JNI_INCLUDE_DIRS=$JAVA_HOME/include
export _JINC=$_JTOPDIR/include
export PVM_ROOT=%{_datadir}/pvm3
%configure \
  --enable-debug \
  --disable-static \
  --with-gnu \
  --with-f2c \
  --with-gnu-ld \
  --with-x \
  --with-tcl-library=%{_libdir} \
  --with-tcl-include=%{_includedir} \
  --with-tk-library=%{_libdir} \
  --with-tk-include=%{_includedir} \
  --with-atlas-library=%{_libdir}/atlas/ \
  --with-pvm-include=%{_datadir}/pvm3/include \
%if %{_lib} == "lib64"
  --with-pvm-library=%{_datadir}/pvm3/lib/LINUX64 \
%else
  --with-pvm-library=%{_datadir}/pvm3/lib/LINUX \
%endif

# temp disabled
# Both gtk+ and 2 are broken
#  --with-gtk \
#  --with-gtk2 \
#  --with-gtk2-library=%{_libdir} \
#  --with-gtk2-includes=%{_includedir}/gtk-2.0 \
#  $(pkg-config gtk+ --cflags)



# Tweaks
sed -i 's|CC_OPTIONS|CC_OPTIONS = $(RPM_OPT_FLAGS) -Dlinux  -DNARROWPROTO -DWITH_ATLAS -DPIC\n#CC_OPTIONS|g' Makefile.incl
# Need to tweak some g77
# g77 -O -march=athlon64 -mfpmath=sse -msse2 -m3dnow -m64

# parallel make will fail - %{?_smp_mflags}
make all



%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=%{_prefix}/lib

# Fix symlinks
ln -fs ../lib/%{name}-%{version}/bin/scilab $RPM_BUILD_ROOT%{_bindir}/scilab
ln -fs ../lib/%{name}-%{version}/bin/intersci $RPM_BUILD_ROOT%{_bindir}/intersci
ln -fs ../lib/%{name}-%{version}/bin/intersci-n $RPM_BUILD_ROOT%{_bindir}/intersci-n

# Fix sh5
mkdir -p $RPM_BUILD_ROOT/bin
ln -fs bash $RPM_BUILD_ROOT/bin/sh5

# Install xpm
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -pm 0644 X11_defaults/scilab.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

# Install desktop-file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Version=%{version}
Name=%{name}
Name[fr]=%{name}
Comment=Scientific Computing platform
Comment[fr]=Plateforme de Calcul Scientifique
Exec=scilab
Terminal=false
Icon=scilab.xpm
Type=Application
Categories=Education;Development;
EOF

desktop-file-install --vendor inria               \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
  --mode 644                                      \
  %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1


%files
%defattr(-,root,root,-)
%doc ACKNOWLEDGEMENTS CHANGES README_Unix Version.incl licence.txt license.txt
/bin/sh5 
%{_bindir}/*
%{_prefix}/lib/scilab-%{version}/
%{_datadir}/pixmaps/scilab.xpm
%{_datadir}/applications/*.desktop


%changelog
* Mon Jun 11 2007 kwizart < kwizart at gmail.com > - 4.1.1-1
- Initial Fedora Package (live in /usr/lib/scilab-4.1.1 for now)
